/* Targeting Webkit browsers like Chrome, Safari, etc. */
.form-input-blue:-webkit-autofill {
  /* Set the text color and background to match your theme */
  -webkit-text-fill-color: #b2c8ff !important; /* This is Tailwind purple-500 */
  background-color: #e6f0ff !important; /* This is Tailwind purple-50 */
  box-shadow: 0 0 0px 1000px #1a48ff inset; /* Adjusting the box-shadow to override background */
  transition: background-color 5000s ease-in-out 0s; /* Transition for the autofill */
}

.form-input-red:-webkit-autofill {
  /* Set the text color and background to match your theme */
  -webkit-text-fill-color: #ffb2b2 !important; /* This is Tailwind purple-500 */
  background-color: #ffe6e6 !important; /* This is Tailwind purple-50 */
  box-shadow: 0 0 0px 1000px #ff1a1a inset; /* Adjusting the box-shadow to override background */
  transition: background-color 5000s ease-in-out 0s; /* Transition for the autofill */
}

.form-input-gray:-webkit-autofill {
  /* Set the text color and background to match your theme */
  -webkit-text-fill-color: rgb(
    210,
    198,
    198
  ) !important; /* This is Tailwind purple-500 */
  background-color: rgb(
    168,
    163,
    163
  ) !important; /* This is Tailwind purple-50 */
  box-shadow: 0 0 0px 1000px rgb(65, 63, 63) inset; /* Adjusting the box-shadow to override background */
  transition: background-color 5000s ease-in-out 0s; /* Transition for the autofill */
}
